pop_message
3

# pop_message

pop message from the queue

    #include <cds/msg_queue.h>

      mq_message_t *pop_message
      msg_queue_t *q

## Description

Removes first message from the queue. If the queue is empty or an error occurred it returns NULL value. Removed messages are NOT automatically freed - caller must use `free_message` or free it itself (see )!

## Return value

Returns pointer to message removed from the queue. If the queue is empty or an error occurred the return value is NULL.

## See Also

,